| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Fields
i2c_BusRegInfo_struct Struct Reference

This structure defines the I2C bus register information. More...

`#include <isf_i2cconf_types.h>`

## Data Fields
volatile i2c_RegLayout_t * | regBase
volatile uint8 * | pinMuxReg
volatile uint16 * | gpioReg
volatile uint8 * | stopFCReg
volatile uint8 * | runReg
int8 * | pBusName
uint8 | pinConfig
uint8 | pinMaskVal
uint16 | gpioConfig
uint16 | gpioMaskVal
uint8 | vectorNumber

## Detailed Description

This structure defines the I2C bus register information.

Definition at line 42 of file isf_i2cconf_types.h.

## Field Documentation

uint16 gpioConfig

The GPIO configuration value for SCL1 and SDA1.

Definition at line 51 of file isf_i2cconf_types.h.

uint16 gpioMaskVal

The GPIO mask value.

Definition at line 52 of file isf_i2cconf_types.h.

volatile uint16* gpioReg

The GPIO enable/disable register.

Definition at line 45 of file isf_i2cconf_types.h.

int8* pBusName

The bus name.

Definition at line 48 of file isf_i2cconf_types.h.

uint8 pinConfig

The pin configuration value for selecting different pins for SCL1 and SDA1.

Definition at line 49 of file isf_i2cconf_types.h.

uint8 pinMaskVal

The pin mask value.

Definition at line 50 of file isf_i2cconf_types.h.

volatile uint8* pinMuxReg

The pin muxing register.

Definition at line 44 of file isf_i2cconf_types.h.

volatile i2c_RegLayout_t* regBase

The base address of the registers.

Definition at line 43 of file isf_i2cconf_types.h.

volatile uint8* runReg

The peripheral clock register for RUN mode.

Definition at line 47 of file isf_i2cconf_types.h.

volatile uint8* stopFCReg

The peripheral clock register for STOPfc mode.

Definition at line 46 of file isf_i2cconf_types.h.

uint8 vectorNumber

The vector number of the I2C master.

Definition at line 53 of file isf_i2cconf_types.h.

The documentation for this struct was generated from the following file:

- Include/isf_i2cconf_types.h